import {
  AfterViewInit,
  ChangeDetectionStrategy,
  Component,
  OnInit,
} from "@angular/core";
import {SharedMultiSelectContentPresentational} from "@shared/components/presentationals/shared-multi-select-content/shared-multi-select-content.presentational";
import {BaseResourceType} from "solidify-frontend";

@Component({
  selector: "dlcm-shared-multi-select-default-value-content",
  templateUrl: "./shared-multi-select-default-value-content.presentational.html",
  styleUrls: ["./shared-multi-select-default-value-content.presentational.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class SharedMultiSelectDefaultValueContentPresentational<TResource extends BaseResourceType> extends SharedMultiSelectContentPresentational<TResource> implements OnInit, AfterViewInit {
  stopPropagation($event: MouseEvent): void {
    $event.stopPropagation();
  }
}



